com.google.gwt.core.ext

## Interface CachedGeneratorResult

    public interface CachedGeneratorResult

An interface to represent the cached results from a previous generator invocation. This is made available in the `GeneratorContext` to subsequent invocations of the same generator, when called under the same conditions (e.g. for the same rebind rule and requested type name).

See Also:
  `GeneratorContext.getCachedGeneratorResult()`

### Method Summary

All Methods Instance Methods Abstract Methods
`java.lang.Object` `getClientData(java.lang.String key)` Retrieves cached client data by key.
`java.lang.String` `getResultTypeName()` Returns the cached result rebind type name.
`long` `getTimeGenerated()` Returns the time this generator result was created.
`boolean` `isTypeCached(java.lang.String typeName)` Check whether a given type is present in the cached result.

### Method Detail

#### getClientData

    java.lang.Object getClientData(java.lang.String key)

Retrieves cached client data by key.

#### getResultTypeName

    java.lang.String getResultTypeName()

Returns the cached result rebind type name.

#### getTimeGenerated

    long getTimeGenerated()

Returns the time this generator result was created.

#### isTypeCached

    boolean isTypeCached(java.lang.String typeName)

Check whether a given type is present in the cached result.